{{ define "main" }}
    <!-- https://getbootstrap.com/docs/4.0/components/carousel/ -->

    <!--  -->

  <!-- hero area -->
  <section class="hero-area bg-primary overflow-hidden" id="parallax">

    <div class="container">
      <div class="row">
        <div class="col-lg-11 mx-auto">
          <h1 class="text-white font-tertiary">{{ .Site.Data.homepage.banner.title | safeHTML }}</h1>
        </div>
        <!-- <div class="col-lg-11 mx-auto">
          <h3 class="text-white font-tertiary">{{ .Site.Data.homepage.banner.subtitle | safeHTML }}</h3>
        </div> -->
      </div>


    </div>
    
    <div class="layer-bg w-100 banner">
      {{ range .Site.Data.homepage.banner.slider }}
      <div class="text-center banner">
        <img class="d-block img-fluid w-100" src="{{.URL | relURL }}" alt="lb{{.id}}">
      </div>
      {{ end }}
    </div>


    {{ range .Site.Data.homepage.banner.illustrations }}
    <div class="layer" id="l{{.id}}">
      <!-- <img src="{{`{{.URL}}` | relURL}}" alt="bg-shape"> -->
      <img src="{{ .URL | relURL }}" alt="bg-shape">
    </div>
    {{ end }}

    <div class="layer-slogan" id="slogan">
      <img class="img-fluid w-75" src="{{.Site.Data.homepage.banner.slogan | relURL }}" alt="slogan">
    </div>


    <!-- social icon -->
    <ul class="list-unstyled ml-5 mt-3 position-relative zindex-1">
        {{ range .Site.Data.homepage.banner.socialLinks }}
        <!-- <i text-bg-{{.color}} rolled back -->
        <li class="mb-2"><a class="text-white" href="{{.URL}}"><i class="h4 {{.icon}}"></i></a></li>
        {{ end }}
    </ul>
    <!-- /social icon -->

  </section>
  <!-- /hero area -->

  {{ if .Site.Data.homepage.about.enable }}
  <!-- about -->
  <section class="section">
    <div class="container">
      <div class="row">
        <div class="col-lg-10 mx-auto text-center">
          {{ with .Site.Data.homepage.about }}
          <p class="font-secondary lead text-dark">{{.content | markdownify}}</p>
          {{ with .barkutton }}
          <a href="{{ .URL | absURL }}" class="btn btn-transparent">{{.btnText}}</a>
          {{ end }}
          {{ end }}
        </div>
      </div>
    </div>
  </section>
  <!-- /about -->
  {{ end }}


  {{ if .Site.Data.homepage.skill.enable }}
  <!-- skills -->
  <section class="section">
    <div class="container">
      <div class="row justify-content-around">
        <div class="col-lg-12 text-center">
          <h2 class="section-title">{{ .Site.Data.homepage.skill.title }}</h2>
        </div>
        {{ range .Site.Data.homepage.skill.skillbar }}
        <div class="col-lg-3 col-sm-6 mb-4">
          <div class="card shadow">
            <div class="text-center position-relative rounded-top progress-wrapper text-center" data-color="{{.color}}">
              <div class="wave" data-progress="{{.progress}}"></div>
            </div>
            <div class="card-footer bg-white text-center">
              <h4 class="card-title text-center">{{.title }}</h4>
              <p>
                {{ .description | markdownify }}
              </p>
            </div>
          </div>
        </div>
        {{ end }}
      </div>
    </div>
  </section>
  <!-- /skills -->
  {{ end }}

  {{ if .Site.Data.homepage.experience.enable }}
  <!-- experience -->
  <section class="section">
    <div class="container">
      <div class="row justify-content-around">
        <div class="col-lg-12 text-center">
          <h2 class="section-title">Experience</h2>
        </div>
        {{ range .Site.Data.homepage.experience.item }}
        <div class="col-lg-3 col-md-4 text-center">
          <img src="{{.logo}}" alt="icon">
          <p class="mb-0">{{.duration}}</p>
          <h4>{{.title }}</h4>
          <h6 class="text-light">{{.company }}</h6>
        </div>
        {{ end }}
      </div>
    </div>
  </section>
  <!-- ./experience -->
  {{ end }}

  {{ if .Site.Data.homepage.education.enable }}
  <!-- education -->
  <section class="section position-relative">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">
          <h2 class="section-title">Education</h2>
        </div>
        {{ range .Site.Data.homepage.education.item }}
        <div class="col-lg-6 col-md-6 mb-80">
          <div class="d-flex">
            <div class="mr-lg-5 mr-3">
              <i class="ti-medall icon icon-light icon-bg bg-white shadow rounded-circle d-block"></i>
            </div>
            <div>
              <p class="text-dark mb-1">{{.year}}</p>
              <h4>{{ .title }}</h4>
              <p class="mb-0 text-light">{{.academy}}</p>
            </div>
          </div>
        </div>
        {{ end }}
      </div>
    </div>
    <!-- bg image -->
    <img class="img-fluid edu-bg-image w-100" src="{{`images/backgrounds/education-bg.png`|relURL}}" alt="bg-image">
  </section>
  <!-- /education -->
  {{ end }}


  {{ if .Site.Data.homepage.service.enable }}
  <!-- services -->
  <section class="section">
    <div class="container">
      <div class="row justify-content-around">
        <div class="col-12 text-center">
          <h2 class="section-title">{{ .Site.Data.homepage.service.title }}</h2>
        </div>
        {{ range .Site.Data.homepage.service.item }}
        <div class="col-md-4 mb-4">
          <div class="card {{if .highlighted }} active-bg-primary {{end}} hover-shadow shadow">
            <div class="card-body text-center px-4 py-5">
              <i class="{{.icon }} icon mb-5 d-inline-block"></i>
              <h4 class="mb-4">{{.title}}</h4>
              <p>{{.content | markdownify}}</p>
            </div>
          </div>
        </div>
        {{ end }}
      </div>
    </div>
  </section>
  <!-- /services -->
  {{ end }}


  {{ if .Site.Data.homepage.portfolio.enable }}
  <!-- portfolio -->
  <section class="section">
    <div class="container">
      <div class="row">
        <div class="col-12 text-center">
          <h2 class="section-title"> {{ .Site.Data.homepage.portfolio.title}}</h2>
        </div>
      </div>
      <div class="row shuffle-wrapper">
        {{ range .Site.Data.homepage.portfolio.item }}
        <div class="col-lg-4 col-6 mb-4 shuffle-item">
          <div class="position-relative rounded hover-wrapper">
            <img src="{{.image | absURL }}" alt="portfolio-image" class="img-fluid rounded w-100 d-block">
            <div class="hover-overlay">
              <div class="hover-content">
                <a class="btn btn-light btn-sm" href="{{ .projectURL }}"> 👀 </a>
              </div>
            </div>
          </div>
        </div>
        {{ end }}
      </div>
    </div>
  </section>
  <!-- /portfolio -->
  {{ end }}


  {{ if .Site.Data.homepage.testimonial.enable }}
  <!-- testimonial -->
  <section class="section bg-primary position-relative testimonial-bg-shapes">
    <div class="container">
      <div class="row">
        <div class="col-12 text-center">
          <h2 class="section-title text-white mb-5">{{ .Site.Data.homepage.testimonial.title }}</h2>
        </div>
        <div class="col-lg-10 mx-auto testimonial-slider">
          {{ range .Site.Data.homepage.testimonial.item }}
          <!-- slider-item -->
          <div class="text-center testimonial-content">
            <i class="ti-quote-right text-white icon mb-4 d-inline-block"></i>
            <p class="text-white mb-4">{{.content | markdownify}}</p>
            <img class="img-fluid rounded-circle mb-4 d-inline-block" src="{{.image | absURL }}" alt="client-image">
            <h4 class="text-white">{{.name }}</h4>
            <h6 class="text-light mb-4">{{ .designation }}</h6>
          </div>
          {{ end }}
        </div>
      </div>
    </div>
    <!-- bg shapes -->
    <img src="{{`images/backgrounds/map.png` | relURL }}" alt="map" class="img-fluid bg-map">
    <!-- <img src="{{`images/illustrations/dots-group-v.svg` | relURL }}" alt="bg-shape" class="img-fluid bg-shape-1">
    <img src="{{`images/illustrations/leaf-orange.svg` | relURL }}" alt="bg-shape" class="img-fluid bg-shape-2">
    <img src="{{`images/illustrations/dots-group-sm.svg` | relURL }}" alt="bg-shape" class="img-fluid bg-shape-3">
    <img src="{{`images/illustrations/leaf-pink-round.svg` | relURL }}" alt="bg-shape" class="img-fluid bg-shape-4">
    <img src="{{`images/illustrations/leaf-cyan.svg` | relURL }}" alt="bg-shape" class="img-fluid bg-shape-5"> -->
  </section>
  <!-- /testimonial -->
  {{ end }}


  {{ if .Site.Data.homepage.clientSlider.enable }}
  <!-- client logo slider -->
  <section class="section pb-0">
    <div class="container">
      {{ partial "client-slider.html" . }}
    </div>
  </section>
  <!-- /client logo slider -->
  {{ end }}

  {{ if .Site.Data.homepage.blog.enable }}
  <!-- blog -->
  <section class="section">
    <div class="container">
      <div class="row">
        <div class="col-12 text-center">
          <h2 class="section-title">Blogs</h2>
        </div>
        {{ range first 3 .Site.RegularPages }}
        <div class="col-lg-4 col-sm-6 mb-4">
          <article class="card shadow">
            <img class="rounded card-img-top" src="{{.Params.Image | absURL}}" alt="post-thumb">
            <div class="card-body">
              <h4 class="card-title"><a class="text-dark" href="{{.Permalink}}">{{.Title }}</a>
              </h4>
              <p class="cars-text">{{.Summary}}</p>
              <a href="{{.Permalink}}" class="btn btn-xs btn-primary">Read More</a>
            </div>
          </article>
        </div>
        {{ end }}
      </div>
    </div>
  </section>
  <!-- /blog -->
  {{ end }}


{{ end }}
